Ticket #29 (closed enhancement: fixed)

Opened 6 years ago

Last modified 5 years ago

Provide a method of specifying ssh options

Reported by: esproul Assigned to: esproul
Priority: minor Milestone:
Component: component1 Version:
Keywords: Cc:

Description

It would be nice to be able to set ssh options via the command line or in the config file (or both.) One could conceivably just set root's ssh client options, but it would make sense that one would possibly want different options for zetaback versus other uses. For example, an administrator may choose to use a faster cipher such as arcfour, which is very fast in software, for backing up hosts on the local network, where the risk of exposure is reduced and speed is more important. This would require a per-host method for setting ssh options, with the default being no options, thereby falling back to the normal ssh client config.

Change History

12/01/08 22:21:23 changed by esproul

  • owner changed from somebody to esproul.
  • status changed from new to assigned.

I'll tackle this one

12/01/08 22:54:21 changed by esproul

Use case: New '-o' option to Zetaback, specifying a string of ssh options:

-o "-c arcfour -i /path/to/id_dsa_alternate"

Should also be settable in the config, at either the global or host scope:

ssh_options = "-c arcfour -i /path/to/id_dsa_alternate"

12/01/08 23:04:12 changed by esproul

Backtracking... no need to override the config on the command line, so '-o' is out. After discussion with the maintainer, a better approach would be to have the option indicate an alternate ssh config file, allowing the admin to specify per-host options in the standard ssh way.

So, new use case:

ssh_config = "/path/to/ssh_config"

12/02/08 22:58:08 changed by esproul

(In [78]) Allow specifying an alternate ssh client config. Refs #29

01/29/09 19:18:01 changed by esproul

  • status changed from assigned to closed.
  • resolution set to fixed.

Was resolved by [78]